mtx-context(1)

NAME
mtx-context

SYNOPSIS
mtxrun --script context [ OPTIONS ... ] [ FILENAMES ]

DESCRIPTION
ConTeXt Process Management

OPTIONS: BASIC

--run
    process (one or more) files (default action)

--make
    create context formats

--ctx=name
    use ctx file (process management specification)

--interface
    use specified user interface (default: en)

--autopdf
    close pdf file in viewer and start pdf viewer afterwards

--purge
    purge files either or not after a run (--pattern=...)

--purgeall
    purge all files either or not after a run (--pattern=...)

--usemodule=list
    load the given module or style, normally part of the distribution

--environment=list
    load the given environment file first (document styles)

--mode=list
    enable given the modes (conditional processing in styles)

--path=list
    also consult the given paths when files are looked for

--arguments=list
    set variables that can be consulted during a run (key/value pairs)

--randomseed=number
    set the randomseed

--result=name
    rename the resulting output to the given name

--trackers=list
    set tracker variables (show list with --showtrackers)

--directives=list
    set directive variables (show list with --showdirectives)

--silent=list
    disable logcatgories (show list with --showlogcategories)

--noconsole
    disable logging to the console (logfile only)

--purgeresult
    purge result file before run

--forcexml
    force xml stub

--forcecld
    force cld (context lua document) stub

--forcelua
    force lua stub (like texlua)

--forcemp
    force mp stub

--arrange
    run extra imposition pass, given that the style sets up imposition

--noarrange
    ignore imposition specifications in the style

--jit
    use luajittex with jit turned off (only use the faster virtual machine)

--jiton
    use luajittex with jit turned on (in most cases not faster, even slower)

--once
    only run once (no multipass data file is produced)

--batchmode
    run without stopping and do not show messages on the console

--nonstopmode
    run without stopping

--synctex
    run with synctex enabled (optional value: zipped, unzipped, 1, -1)

--generate
    generate file database etc. (as luatools does)

--paranoid
    do not descend to .. and ../..

--version
    report installed context version

--global
    assume given file present elsewhere

--nofile
    use dummy file as jobname

OPTIONS: EXPERT

--touch
    update context version number (also provide --expert, optionally provide --basepath)

--nostatistics
    omit runtime statistics at the end of the run

--update
    update context from website (not to be confused with contextgarden)

--profile
    profile job (use: mtxrun --script profile --analyze)

--timing
    generate timing and statistics overview

--extra=name
    process extra (mtx-context-... in distribution)

--extras
    show extras

OPTIONS: SPECIAL

--pdftex
    process file with texexec using pdftex

--xetex
    process file with texexec using xetex

--mkii
    process file with texexec

--pipe
    do not check for file and enter scroll mode (--dummyfile=whatever.tmp)

AUTHOR
More information about ConTeXt and the tools that come with it can be found at: maillist: ntg-context@ntg.nl / http://www.ntg.nl/mailman/listinfo/ntg-context webpage: http://www.pragma-ade.nl / http://tex.aanhet.net wiki: http://contextgarden.net